<!--
//Andriy Andrusevych
//IT Generation
//JS Homework 5 (калькулятор)
-->
<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>Document</title>
	<style>
		* {
			box-sizing: border-box;
		}

		.calculator {
			background: black;
			width: fit-content;
			color: white;
		}

		.calculator__inp {
			width: 215px;
			background: black;
			text-align: right;
			height: 100px;
			color: white;
			font-size: 40px;

		}

		.calculator__grid {
			display: grid;
			grid-template-columns: repeat(4, 50px);
			grid-template-rows: repeat(5, 50px);
			grid-gap: 5px;

		}

		.calculator__grid>div {
			text-align: center;
			line-height: 50px;
			font-size: 23px;
			cursor: pointer;
			border-radius: 50%;
		}

		.calculator__grid>div:nth-child(17) {
			grid-row: 5;
			grid-column: 1/3;
			border-radius: 40px;
		}

		.number {
			background: grey;
		}

		.sign,
		.result {
			background: orange;
		}

		.toggleSign,
		.percent,
		.clear {
			background: lightgray;
		}
	</style>
</head>

<body>
	<div class="calculator">
		<input type="text" class="calculator__inp">
		<div class="calculator__grid">
			<div class="clear">A/C</div>
			<div class="toggleSign">+/-</div>
			<div class="percent">%</div>
			<div class="sign">/</div>
			<div class="number">7</div>
			<div class="number">8</div>
			<div class="number">9</div>
			<div class="sign">*</div>
			<div class="number">4</div>
			<div class="number">5</div>
			<div class="number">6</div>
			<div class="sign">-</div>
			<div class="number">1</div>
			<div class="number">2</div>
			<div class="number">3</div>
			<div class="sign">+</div>
			<div class="number">0</div>
			<div class="number">.</div>
			<div class="result">=</div>
		</div>
	</div>
	<script>
		var number = document.querySelectorAll('.number');
		var inp = document.querySelector('.calculator__inp');
		var sign = document.querySelectorAll('.sign');
		var result = document.querySelector('.result');
		var clearBtn = document.querySelector('.clear');
		var modulus = document.querySelector('.percent')
		var toggleSign = document.querySelector('.toggleSign');

		for (i = 0; i < number.length; i++) {
			number[i].addEventListener('click', insertValue);
		}

		for (i = 0; i < sign.length; i++) {
			sign[i].addEventListener('click', insertValue);
		}
//додано перевірку на додавання двох арифметичних дій підряд
		function insertValue() {
			if ((isNaN(inp.value.slice(-1)) || undefined) && isNaN(this.innerText)) {
				inp.value += "";
			}
			else{
			
				inp.value += this.innerText;
			}
		}

		result.addEventListener('click', getResult);

		function getResult() {
			inp.value = eval(inp.value)
		}
//додану решту кнопок (clear, остача від ділення та знак)
		clearBtn.addEventListener('click', clearAll);
		modulus.addEventListener('click', insertValue);
		toggleSign.addEventListener('click', toggleF);

		function clearAll() {
			inp.value = '';
		}
		function toggleF() {
			inp.value = inp.value * (-1);
		}



		document.body.addEventListener('keydown', function (e) {
			if (e.keyCode == 13) {
				// getResult()
			}
		})

	</script>
</body>

</html>